# SourcePath: iptables/20110124dev
Summary: Tools for managing Linux kernel packet filtering capabilities.
Name: sony-target-dev-iptables
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-iptables
Version: 1.4.10
Release: 08020701
Source: iptables-%{version}.tar.bz2
Patch1 : iptables-1.4.10-iptable-xml-link-fix.patch
License: GPL2
URL: http://www.netfilter.org
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_relocation}


%description
Tools found in this package are used to set up, maintain, and inspect the
iptables-based IP packet filtering rules in the Linux kernel.

# iptables

%package -n %{pkgname}
Summary: Tools for managing Linux kernel packet filtering capabilities.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Tools found in this package are used to set up, maintain, and inspect the
iptables-based IP packet filtering rules in the Linux kernel.


%prep
%setup -n iptables-%{version}
%patch1 -p1

%build
%sony_target_dev_setup
%sony_target_dev_configure  --libexecdir=%{sony_target_dev_dir}/lib \
 | tee ../build.log

make 

%install
%sony_target_dev_install_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall BINDIR=%{sony_target_dev_bin_dir} | tee -a build.log
rm -rf  %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir} 

%demangle_libtool

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/*.so*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*.la
%{sony_target_dir}%{sony_target_dev_include_dir}/libiptc/*.h
%{sony_target_dir}%{sony_target_dev_include_dir}/xtables.h
%{sony_target_dir}%{sony_target_dev_dir}/lib/xtables/*.so 
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ip6tables
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptables
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptables-restore
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptables-save
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptables-multi
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ip6tables-restore
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ip6tables-save
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ip6tables-multi
%{sony_target_dir}%{sony_target_dev_bin_dir}/iptables-xml

%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/xtables.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libiptc.pc

### %doc ChangeLog FAQ README build.log LICENSE


%changelog
* Mon Sep 28 2020 Sony Corporation
- Initial build for CE Linux 8.2.7.X

* Wed Nov 21 2018 Sony Corporation
- Initial build for CE Linux 8.2.6.X

* Fri Jun 24 2011 Sony Corporation
- Added iptable-xml symbolic link bugfix.

* Mon Jan 24 2011 Sony Corporation
- Version Update 1.4.9.1 -> 1.4.10

* Thu Sep 02 2010 Sony Corporation
- Version Update 1.4.3.1 -> 1.4.9.1

* Mon Apr 13 2009 Sony Corporation
- Added  --libexecdir as configuration option

* Mon Mar 30 2009 Sony Corporation
- Version Update 1.4.0 -> 1.4.3.1

* Mon Oct 20 2008 Sony Corporation
- Change Summary.

* Mon Aug 28 2008 Sony Corporation
- Version Update 1.3.8 -> 1.4.0

* Tue Aug 07 2007 Sony Corporation
- Version Update 1.3.7 -> 1.3.8

* Wed Jun 13 2007 Sony Corporation
- add PREFIX for %build

* Tue May 30 2007 Sony Corporation
- Initial build
